D2010 installation and D2009 already installed

Hi,

I installed D2010 on a machine that has D2009 installed.  Somehow,
installing D2010 screwed up my D2009 installation in that when
I run a Unit Test that uses dbxMysqll.dll, I get an error message
(that I never got before):

    Project c_test.exe raised exception class TDBXError with
    message 'Cannot load LIBMYSQL.dll library(error code 0).
    The LIBMYSQL.dll library may be missing from the system
    path or you may have an incompatible version of the
    library installed.

Is this supposed to happen?  I thought installing D2010
in a different folder won't fiddle with the current
D2009 setup.  Apparently, it does.

When I upgraded from D2007 to D2009, I had the precise same
issue.  Now with D2010, the same thing happens again.
Is it possible that when D2011 comes along, I don't need
to be concerned with this?  I always forget what the solution
is and need to go search for it.

Thanks

Edmund
0
Edmund
8/31/2009 7:59:49 AM
embarcadero.delphi.install 1244 articles. 0 followers. Follow

6 Replies
677 Views

Similar Articles

[PageSpeed] 58

> {quote:title=Edmund Wong wrote:}{quote}
> Hi,
> 
> I installed D2010 on a machine that has D2009 installed.  Somehow,
> installing D2010 screwed up my D2009 installation in that when
> I run a Unit Test that uses dbxMysqll.dll, I get an error message
> (that I never got before):
> 
>     Project c_test.exe raised exception class TDBXError with
>     message 'Cannot load LIBMYSQL.dll library(error code 0).
>     The LIBMYSQL.dll library may be missing from the system
>     path or you may have an incompatible version of the
>     library installed.
> 
> Is this supposed to happen?  I thought installing D2010
> in a different folder won't fiddle with the current
> D2009 setup.  Apparently, it does.
> 
> When I upgraded from D2007 to D2009, I had the precise same
> issue.  Now with D2010, the same thing happens again.
> Is it possible that when D2011 comes along, I don't need
> to be concerned with this?  I always forget what the solution
> is and need to go search for it.
> 
> Thanks
> 
> Edmund

Hi,have you found the solution? I've got the same problem

Thanks 
Massimiliano
0
Massimiliano
9/11/2009 2:42:32 PM
Hi ,
i just faced similar problem.
i am using d2007 and just installed d2010.
d2007 still can work with mysql but d2010 gives me error message: cannot load libmysql.dll
i will be glad to get a response.

Eli


> {quote:title=Massimiliano Gozzi wrote:}{quote}
> > {quote:title=Edmund Wong wrote:}{quote}
> > Hi,
> > 
> > I installed D2010 on a machine that has D2009 installed.  Somehow,
> > installing D2010 screwed up my D2009 installation in that when
> > I run a Unit Test that uses dbxMysqll.dll, I get an error message
> > (that I never got before):
> > 
> >     Project c_test.exe raised exception class TDBXError with
> >     message 'Cannot load LIBMYSQL.dll library(error code 0).
> >     The LIBMYSQL.dll library may be missing from the system
> >     path or you may have an incompatible version of the
> >     library installed.
> > 
> > Is this supposed to happen?  I thought installing D2010
> > in a different folder won't fiddle with the current
> > D2009 setup.  Apparently, it does.
> > 
> > When I upgraded from D2007 to D2009, I had the precise same
> > issue.  Now with D2010, the same thing happens again.
> > Is it possible that when D2011 comes along, I don't need
> > to be concerned with this?  I always forget what the solution
> > is and need to go search for it.
> > 
> > Thanks
> > 
> > Edmund
> 
> Hi,have you found the solution? I've got the same problem
> 
> Thanks 
> Massimiliano
0
Eliyahu
10/26/2009 9:18:51 PM
> {quote:title=Eliyahu Neria wrote:}{quote}
> Hi ,
> i just faced similar problem.
> i am using d2007 and just installed d2010.
> d2007 still can work with mysql but d2010 gives me error message: cannot load libmysql.dll
> i will be glad to get a response.

I'm pretty sure this will be related to the different DLLs loaded in D2007, D2009, and D2010 for MySQL. These are in the dbxdrivers.ini and dbxconnections.ini files, located on WinXP in the C:\Documents and Settings\All Users\Documents\RAD Studio\DBExpress tree. Delphi 2006/2007 use the ones in that folder, Delphi 2010 uses the one in the 7.0 folder. I'd suspect that, if you examine the two dbxdrivers.ini and dbxconnections.ini files, and sort out which DLL each version of Delphi is expecting, you'll be a
ble to work this out.
0
Ken
10/27/2009 2:16:33 PM
> {quote:title=Ken White wrote:}{quote}
> > {quote:title=Eliyahu Neria wrote:}{quote}
> > Hi ,
> > i just faced similar problem.
> > i am using d2007 and just installed d2010.
> > d2007 still can work with mysql but d2010 gives me error message: cannot load libmysql.dll
> > i will be glad to get a response.
> 
> I'm pretty sure this will be related to the different DLLs loaded in D2007, D2009, and D2010 for MySQL. These are in the dbxdrivers.ini and dbxconnections.ini files, located on WinXP in the C:\Documents and Settings\All Users\Documents\RAD Studio\DBExpress tree. Delphi 2006/2007 use the ones in that folder, Delphi 2010 uses the one in the 7.0 folder. I'd suspect that, if you examine the two dbxdrivers.ini and dbxconnections.ini files, and sort out which DLL each version of Delphi is expecting, you'll be
 able to work this out.

I'm not sure how to correct the problem, having ' examined ' the two folders.
My porblem crops up with the use of Delphi 4 PHP 2.0
I can view the Tables in mySql isung codegear Rad Studio 2009 , but cannot view the tables in the same mySql database
either in Delphi 2010 or Delphi 4 PHP 2.0 without generating the cannot load lobmysql.dll

what is the specific fix ,please!
0
bob
11/14/2009 5:51:34 PM
hi,
I have faced the same problem while trying to connect my new D2010 to mysql natively through DBexpress
I managed to solve the problem just by putting the right mysql.dll for V5.0 or above in the system32 of the OS
after that all works fine and i was able to connect.

Actually the error message is decieving it should say "incompatible mysql library version"

thanks



> {quote:title=Edmund Wong wrote:}{quote}
> Hi,
> 
> I installed D2010 on a machine that has D2009 installed.  Somehow,
> installing D2010 screwed up my D2009 installation in that when
> I run a Unit Test that uses dbxMysqll.dll, I get an error message
> (that I never got before):
> 
>     Project c_test.exe raised exception class TDBXError with
>     message 'Cannot load LIBMYSQL.dll library(error code 0).
>     The LIBMYSQL.dll library may be missing from the system
>     path or you may have an incompatible version of the
>     library installed.
> 
> Is this supposed to happen?  I thought installing D2010
> in a different folder won't fiddle with the current
> D2009 setup.  Apparently, it does.
> 
> When I upgraded from D2007 to D2009, I had the precise same
> issue.  Now with D2010, the same thing happens again.
> Is it possible that when D2011 comes along, I don't need
> to be concerned with this?  I always forget what the solution
> is and need to go search for it.
> 
> Thanks
> 
> Edmund

Edited by: Adel Safwat on Mar 16, 2010 4:51 AM
0
Adel
3/16/2010 11:55:28 AM
bob meyer wrote:
>> {quote:title=Ken White wrote:}{quote}
>>> {quote:title=Eliyahu Neria wrote:}{quote}
>>> Hi ,
>>> i just faced similar problem.
>>> i am using d2007 and just installed d2010.
>>> d2007 still can work with mysql but d2010 gives me error message: cannot load libmysql.dll
>>> i will be glad to get a response.
>>
>> I'm pretty sure this will be related to the different DLLs loaded in D2007, D2009, and D2010 for MySQL. These are in the dbxdrivers.ini and dbxconnections.ini files, located on WinXP in the C:\Documents and Settings\All Users\Documents\RAD Studio\DBExpress tree. Delphi 2006/2007 use the ones in that folder, Delphi 2010 uses the one in the 7.0 folder. I'd suspect that, if you examine the two dbxdrivers.ini and dbxconnections.ini files, and sort out which DLL each version of Delphi is expecting, you'll b
e
>   able to work this out.
>
> I'm not sure how to correct the problem, having ' examined ' the two folders.
> My porblem crops up with the use of Delphi 4 PHP 2.0
> I can view the Tables in mySql isung codegear Rad Studio 2009 , but cannot view the tables in the same mySql database
> either in Delphi 2010 or Delphi 4 PHP 2.0 without generating the cannot load lobmysql.dll
>
> what is the specific fix ,please!


Sorry..  I couldn't figure it out.  I ended up junking all my
installations (D2007, D2009 and D2010) and installed DXE.

Edmund
0
Edmund
1/4/2011 8:26:10 AM
Reply:

Similar Artilces:

Install D2010 on side of D2009
I am installing D2010 from the iso image. But the setup complains that I should install Update 3 for D2009 before that. However, D2009 Check for Updates said that no updates were available, so I copied the setup packages from another D2009 installation and installed Update 3, 4, etc. And D2010 installation still fails to start, complaining that I should install Update 3 to D2009. How can I tell the installer that I DO have Update 3 for D2009? Jouni Aro Prosys I have the same problem. BDS 2009 is up to date with Version3, but Delphi 2010 will not install because it claim...

To install or not to install?
What's the difference between installing qpsmtpd as in...=0A=0Aperl Makefil= e.PL=0Amake=0Amake test=0Amake install=0Amake clean=0A=0A... or running it = directly from /home/smtpd/qpsmtpd?=0A=0APresently I'm running ./qpsmtpd fro= m xinetd, so the installed copy is probably wasted, right?=0A=0AIs there an= y benefit/downside in running an installed copy, and how would I do that?= =0A=0AHans=0A=0A=0A There is no benefit to installing. I've been running under xinetd for a couple of years, directly from an svn checkout in /var/qpsmtpd. In fact, I dont even make changes ...

install netware components not installed in the 1st installation
I have a NW5.1 running file services and NW5.0 running GW3.6. Both servers are installed in the same tree. I now wish to install Netware components like Portal, HTTP, NTTP etc one my NW5.1 server. I have SP6 installed on my NW5.1 What is the correct procedure I should adopt to successfully install these components? Thanks, Martin. On Wed, 11 Aug 2004 09:00:46 GMT, martin.scicluna@deltamalta.com wrote: >What is the correct procedure I should adopt to successfully install these >components? Use the console GUI Install, and select the products you want to inst...

Trying to install a Trial D2010 version on a D2009 installed computer fails
Hi, I've downloaded the trial version for D2010, when I try to install, the installer comes up with the following message and stops installing. --------------------------- Update Required --------------------------- For RAD Studio 2009 to co-exist with the version you are trying to install, it is necessary to have Delphi and C++Builder 2009 Update 3 installed. Please apply that update through the Check for Updates from the RAD Studio 2009 menu before installling this version. --------------------------- OK --------------------------- I have D2009 with Update 3 installed...

VSI installation problem
This error message occurs for me when attempting to install any VSI package (including TimeTracker etc). The templates do not appear in the My Templates section of Visual Studio 2005 Beta 2.. Help or suggestions appreciated! Me too,can't get the damn f**g thing to install, tried many times but still same error with all .VSI Packs  personal, club &  time tracker  ....... HELP  HELP HELP HELP only thing i can think of is that i didn't uninstall .NET Framework as recomended in "Uninstalling Express Editions" note for...

Is there a Gzip installer that I could install ?
Trying to make things easier I have a question about the linux desktop interface .. is direct package installed that I could use opening it on files using the right click method from windows ? "open with" / "chosen freeware" = click ! -- Cypher7 ------------------------------------------------------------------------ Cypher7 wrote: > > Trying to make things easier I have a question about the linux desktop > interface The linux desktop interface can be a lot of things, KDE,GNOME, windowmaker to name but a few. > .. is direct packa...

Occassional appearance of Install/Install.aspx?mode=Install
Since upgrading to 3.1.1 I am getting the occasional redirection to Install/Install.aspx?mode=Install.  Is anyone else recieving this or does this suggest the installation script didn't complete?Jonathan Palmer Check your web.config and see if install=true.... In a previous version this was happening to me until i turned it off. ...

no install after installing jvm141
i have waited for a few days now to see if anyone would reply to my last response and got nothing so far so i figured i would repost everything in hopes that someone woudl be able to help me, please read below. ============================ In article , wrote: > i cant find the install opption on the GUI to install imanager. i just > updated to the newest jvm and the gui looks totally differnet, and the > start options all changed. any ideas? > What exact NetWare version are you using (including SP)? In theory, you should use the "install" option in ...

Installation: Already installed modules are required
Hi everyone, I'm having some problems installing Bugzilla 4.0. My system is Ubuntu 10.04 When I run the command $ sudo ./checksetup.pl --check-modules the output always tells me that "Email::MIME" and "Email::Send" must be installed. When I try to install them via $ sudo perl install-module.pl -all or $ sudo perl install-module.pl Email::MIME it tells me the modules are "up to date" (because they ARE installed) On http://www.bugzilla.org/docs/4.0/en/html/installation.html#install-perlmodules it suggests that there could be something wr...

Install OES2 with ifolder already installed
OK, so i have SLES10-SP1 installed and also ifolder 3.6-svn. I have been using Jan-Simon's svn from opensuse without any problems. Now i want to install OES2 ifolder. What is the best way to uninstall existing ifolder and install the ifolder from OES2? The OES 2 ifolder install is going to make you put eDirectory on the box which means you'll have to put the server into a tree or create a new tree. I'm not sure if there is any way around it. You could try going directly to the install media for OES 2 and using the --force command with rpm from the command line, ...

Install OES2 with eDir already installed
OK, so i have SLES10-SP1 installed and also eDir 8.7, i believe. eDir 8.7 has not been working, ever (i have been waiting on this OES2). Now i want to install OES2 eDir. I installed eDir 8.7 from source; how do i uninstall eDir 8.7? Chris wrote: > OK, so i have SLES10-SP1 installed and also eDir 8.7, i believe. eDir 8.7 > has not been working, ever (i have been waiting on this OES2). Now i want > to install OES2 eDir. I installed eDir 8.7 from source; how do i uninstall > eDir 8.7? 'ndsconfig rm -a admin.acme' to remove the server from the tree. Then it&...

How to install with RAID already installed for XP?
Hi all. 1st post. I currently dual boot with Ubuntu 9.04 but somehow have a difficult time with RAID. I'm not sure which RAID array was installed as it was setup by a computer shop. At 1st, they had RAID-0 with both 120Gb HDDs acting as one 240Gb. I had this reset to 2-120Gb HDDs that store date independently. There is a RAID influence as if one of the 120Gb HDDs is not plugged in, XP will boot slow if at all. I don't see any mirroring of data which would be, I think, RAID-1. The MB manual says it supports RAID-0 or RAID-1. But most say it acts like RAID-5. A 3rd HDD, 200Gb, ...

Install keeps failing : Cannot install windows installer 3.1
Hello,This is quite weird, whenever I try to install VS 2005 .net express, I get a failure right at the start of the installation process, the installer says : Could'nt install Windows installer 3.1 ....sigh, I'll never get this to work ..thanks Can you try to install Windows installer 3.1 from the Microsoft web site?http://www.microsoft.com/downloads/details.aspx?familyid=889482fc-5f56-4a38-b838-de776fd4138c   Let us know if that works? Thanks. -Bret...

Problem Installing Modules via install\module During DNN Install
I'm currently troubleshooting an install problem that is killing me since I do 3-5 installs of DNN per day.With v3.0.13 I had an 9 modules I placed in the install\module folder for automatic installation.  With v3.1 that number has increased to 25 (I'm not sure if the number has anything to do with it).When installing DNN v3.1, the install page lists all of the modules. EX:00:00:18.078 -   Installing Module File C:\hshome\jangles\bunstore.co.uk\Install\Module\Announcements_3.1.0.zip:00:00:19.218 -   Installing Module File C:\hshome\jangles\bunstore.co.uk\Install...

Web resources about - D2010 installation and D2009 already installed - embarcadero.delphi.install

Installation art - Wikipedia, the free encyclopedia
Installation art describes an artistic genre of three-dimensional works that are often site-specific and designed to transform the perception ...

Fulton Center - Glass Installation - Metropolitan Transportation Authority (MTA) - Facebook
As of June 8, 2012, several of the Fulton Center's newly built and rehabilitated underground passageways have been substantially completed. Photo:... ...

Installation Magazine for iPhone 3GS, iPhone 4, iPhone 4S, iPhone 5, iPod touch (3rd generation), iPod ...
Get Installation Magazine on the App Store. See screenshots and ratings, and read customer reviews.

Typical Solar Installation - Flickr - Photo Sharing!
... This is a newly constructed home with near total solar covering. Hi Tim, I have published this nice picture by you, ofa home with solar installation, ...

Adobe pushes scareware with Flash Player installation - YouTube
http://www.zdnet.com/blog/bott/adobes-latest-critical-security-update-pushes-scareware/4681 If you manually install the latest version of Flash ...

Telstra in dispute with customer over costly landline installation
Would you pay $5931.90 for the installation of a landline in a suburban area?

Lego refuses to supply bricks for Weiwei installation at National Gallery of Victoria because of 'political ...
Part of a major international exhibition planned for Melbourne is thrown into doubt after Lego refuses to supply building blocks for the project. ...

Canada Post Suspends Community Mailbox Installation 55
... the comprehensive program on hold in an orderly fashion,'' said a statement. OTTAWA — The country's national mail carrier has halted the installation ...

Apple TV advertising goes beyond small screen with new billboard installations
Taking its Apple TV advertising campaign beyond the small screen and into the real world, Apple is in the process of plastering U.S. billboards ...

How to download Windows 10 with the November Update and create your own installation media
... versions available. Save and run the file. You’ll be offered two choices. You can upgrade the PC you’re on to Windows 10 or create installation ...

Resources last updated: 1/8/2016 3:19:08 AM